<?php

function getDummyEvents($year, $month, $day){
    $ret = array();
    $id = 1;
    $ts = mktime(0,0,0, $month, $day, $year);

    for($i=0;$i<7;$i++){

        $time = rand(6, 12);
        $duration = rand(1,3);
        $description = getRandomDescription();
        $ret[] = array(
            'id' => $id,
            'description' => $description,
            'startDate' => strftime('%a, %d %b  %Y '.$time.':00 GMT', $ts),
            'endDate' => strftime('%a, %d %b %Y '.($time + $duration).':00 GMT', $ts),
            'bgColor' => getRandomBgColor(),
            'readOnly' => $description == 'Read only event' ? true : false
        );
        $id++;

        $description = getRandomDescription();
        $time = rand(14, 20);
        $duration = rand(1,3);
        $ret[] = array(
            'id' => $id,
            'description' => $description,
            'startDate' => strftime('%a, %d %b  %Y '.$time.':00 GMT', $ts),
            'endDate' => strftime('%a, %d %b %Y '.($time + $duration).':00 GMT', $ts),
            'bgColor' => getRandomBgColor(),
            'readOnly' => $description == 'Read only event' ? true : false
        );
        $id++;

        $ts+=60*60*24;

    }
    return $ret;
}


function getRandomDescription(){
     $texts = array(
        'Business meeting',
        'Meet clients',
        'Exercise',
        'Webinar',
        'Dummy event',
        'Staff meeting',
        'Programming',
        'Designing',
        'Read only event'
    );
    return $texts[rand(0,count($texts)-1)];
}

function getRandomBgColor(){
    $colors = array('#FFF','#FFF','#FFF','#FFF', '#EDBD63','#EDEB63', '#94ED63');
    return $colors[rand(0,count($colors)-1)];

}

?>