<?php

define('DEMO_MODE',  1);

# include_once("dbConnect.php");

class WeekPlanner{

    public function save($record){
        
        $description = mysql_real_escape_string($record['description']);
        $startDate = date("Y-m-d H:i:s", strtotime($record['startDate']));
        $endDate = date("Y-m-d H:i:s", strtotime($record['endDate']));
        $readOnly = $record['readOnly'] ? '1' : '0';
        $bgColor = mysql_real_escape_string($record['bgColor']);
    
        if($record['newItem']){
            if(DEMO_MODE){
                $id = mktime();
            }else{
                mysql_query("insert into weekplanner_events(description, startDate, endDate, readOnly, bgColor)values('$description', '$startDate','$endDate','$readOnly','$bgColor')");
                $id = mysql_insert_id();
            }
        }else{
            $id = preg_replace("/[^0-9]/si", "", $record['id']);
            if(!DEMO_MODE){
                mysql_query("update weekplanner_events set description = '$description', startDate='$startDate', endDate='$endDate', readOnly = '$readOnly', bgColor='$bgColor' where ID='$id'") or die(mysql_error());
            }
        }
        if($record['json']){
            $data = array('success' => true, 'data' => array('id' => $id));
            return json_encode($data, true);
        }else{
            return "OK";
        }
    }

    public function delete($id){
        $id = preg_replace("/[^0-9]/si", "", $id);
        mysql_query("delete from weekplanner_events where id='$id'");

        if($_POST['json']){
            $ret = array(
                'success' => true
            );
            return json_encode($ret, true);

        }else{
            return "OK";
        }
    }

    public function getEventsOfAWeekAsXML($year, $month, $day) {
        $events = $this->getEventsOfAWeek($year, $month, $day);
        return $this->toXML($items);
    }

    private function toXML($items){

        $ret = '<?xml version="1.0" ?>';
        foreach($items as $item){
            $ret.='<item>
                <id>'. $item['id']. '</id>
                <description>'. $item['description'].'</description>
                <startDate>'. $item['startDate'].'</startDate>
                <endDate>'. $item['endDate'].'</endDate>
                <bgColor>'. $item['bgColor'].'</bgColor>
                <readOnly>'. ($item['readOnly'] ? '1' : '0').'</readonly>
            </item>';
        }
        return $ret;


    }
    public function getEventsOfAWeekAsJSON($year, $month, $day){
        $events = $this->getEventsOfAWeek($year, $month, $day);
        $jsonArray = array(
            'success' => true,
            'data' => $events
        );
        return json_encode($jsonArray, true);

    }

    private function getEventsOfAWeek($year, $month, $day){

        if(DEMO_MODE){
            return getDummyEvents($year, $month, $day);
        }
        $ret = array();
        $tsStart = mktime(0,0,0, $month, $day, $year);;
        $tsEnd = $tsStart + $this->getSecondsInAWeek();

        $startDate = date("Y-m-d H:i:s", $tsStart);
        $endDate = date("Y-m-d H:i:s", $tsEnd);

        $res = mysql_query("select * from weekplanner_events where startDate>='$startDate' && endDate<'$endDate'");
        while($row = mysql_fetch_array($res)){
            $tsStart = strtotime($row['startDate']);
            $tsEnd = strtotime($row['endDate']);
            $ret[] = array(
                'id' => $row['ID'],
                'description' => $row['description'],
                'startDate' => strftime('%a, %d %b  %Y %H:%M GMT+2', $tsStart),    // TIMEZONE ON THE SERVER
                'endDate' => strftime('%a, %d %b %Y %H:%M GMT+2', $tsEnd),         // TIMEZONE ON THE SERVER
                'bgColor' => $row['bgColor'] ? $row['bgColor'] : '#FFFFFF',
                'readOnly' => $row['readOnly'] ? true : false
            );
        }
        return $ret;
    }

    private function getSecondsInAWeek(){
        return 7*60*60*24;
    }
}